| Home | Libraries | People | FAQ | More

#### buffer_copy (19 of 30 overloads)

Copies a limited number of bytes from a source buffer to a target buffer.

    std::size_t buffer_copy(
        const mutable_buffer & target,
        const mutable_buffers_1 & source,
        std::size_t max_bytes_to_copy);

###### Parameters

target

  A modifiable buffer representing the memory region to which the bytes will be copied.

source

  A modifiable buffer representing the memory region from which the bytes will be copied. The contents of the source buffer will not be modified.

max_bytes_to_copy

  The maximum number of bytes to be copied.

###### Return Value

The number of bytes copied.

###### Remarks

The number of bytes copied is the lesser of:

- `buffer_size(target)`
- `buffer_size(source)`
- `max_bytes_to_copy`